ClusterManagementResult (Apache Geode 1.9.0)
Date: 2019-04-19

org.apache.geode.management.api

## Class ClusterManagementResult

- java.lang.Object
- - org.apache.geode.management.api.ClusterManagementResult

-     public class ClusterManagementResult
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClusterManagementResult.StatusCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterManagementResult()`
    `ClusterManagementResult(boolean success, String message)`
    `ClusterManagementResult(ClusterManagementResult.StatusCode statusCode, String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMemberStatus(String member, boolean success, String message)`
    `Map<String,Status>` | `getMemberStatuses()`
    `ClusterManagementResult.StatusCode` | `getStatusCode()`
    `String` | `getStatusMessage()`
    `boolean` | `isSuccessful()`
    `void` | `setStatus(boolean success, String message)`
    `void` | `setStatus(ClusterManagementResult.StatusCode code, String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterManagementResult

          public ClusterManagementResult()

    - #### ClusterManagementResult

          public ClusterManagementResult(boolean success,
                                         String message)

    - #### ClusterManagementResult

          public ClusterManagementResult(ClusterManagementResult.StatusCode statusCode,
                                         String message)

  - ### Method Detail

    - #### addMemberStatus

          public void addMemberStatus(String member,
                                      boolean success,
                                      String message)

    - #### setStatus

          public void setStatus(boolean success,
                                String message)

    - #### setStatus

          public void setStatus(ClusterManagementResult.StatusCode code,
                                String message)

    - #### getMemberStatuses

          public Map<String,Status> getMemberStatuses()

    - #### getStatusMessage

          public String getStatusMessage()

    - #### isSuccessful

          public boolean isSuccessful()

    - #### getStatusCode

          public ClusterManagementResult.StatusCode getStatusCode()